#!/usr/bin/perl
my $cfinputs="/opt/gentoo/cvs-checks/gentoo-infra/cfengine/cfengine/inputs";

print "\ncfengine-QA-checker called.  In case of troubles, contact robbat2\@gentoo.org\n\n";
foreach ( @ARGV ) {
	if ( -e $_ ) {
		unless ( -d $_ ) {
			if ( -f $_ and $_ =~ /^(cf\.|cfagent\.conf)/ ) {
				print "Checking $_ ... ";
				unless ( system( "CFINPUTS=\"$cfinputs\" /usr/sbin/cfagent -pf $_" ) == 0 ) {
					print "[ failed ]\n";
					exit(1);
				}
				print "[ done ]\n";
				print "Checking cfagent.conf ... ";
				unless ( system( "CFINPUTS=\"$cfinputs\" /usr/sbin/cfagent -pf /opt/gentoo/cvs-checks/gentoo-infra/cfengine/cfengine/inputs/cfagent.conf" ) == 0 ) {
					print "[ failed ]\n";
					exit(1);
				}
			}
		}
	}
}
#EOF vim: tabstop=2
