#!/bin/sh
#
# This script is intended to be used as a failure script for CVS projects
# that are now in a read-only state.
#
# Configure this in CVSROOT/commitinfo like this:
#
# ^projectname/.* /path/to/script "%p" %s
#
# Or, to make all projects read-only, you can do this:
# DEFAULT /path/to/script "%p" %s
#
echo "========================================================================="
echo "Cannot commit the following files because '${1}' is now read-only:"
shift
while (( "$#" )) ; do
echo "  $1"
shift
done
echo "========================================================================="

# Exit with a non-zero return code
false
